%define momorel 1
%define idxver  0.40
%define dbms	std
%define ezname 	ezmlm

Summary:  	ezmlm-idx is an easy-to-use, high-speed mailing list manager for qmail with idx patch.
Name: 		ezmlm-idx
Version:	0.53
Release: 	%{momorel}m
License: 	DJB
Group: 		System Environment/Daemons
URL: 		http://cr.yp.to/ezmlm.html
Source0: 	http://cr.yp.to/software/%{ezname}-%{version}.tar.gz
Source1: 	ftp://ftp.ezmlm.org/pub/patches/%{name}-%{idxver}.tar.gz
Source10: 	ezman.html.tar.gz

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

Patch1: 	ezmlm-idx-0.53.400.unified_41.patch 

NoSource: 0
NoSource: 1

%description

ezmlm-idx is an easy-to-use, high-speed mailing list manager for qmail
with idx patch.

ezmlm lets users set up their own mailing lists within qmail's address
hierarchy. A user, Joe, types ``ezmlm-make ~/SOS ~/.qmail-sos joe-sos
isp.net'' and instantly has a functioning mailing list,
joe-sos@isp.net, with all relevant information stored in a new ~/SOS
directory.

ezmlm sets up joe-sos-subscribe and joe-sos-unsubscribe for automatic
processing of subscription and unsubscription requests. Any message to
joe-sos-subscribe will work; Joe doesn't have to explain any tricky
command formats. ezmlm will send back instructions if a subscriber
sends a message to joe-sos-request or joe-sos-help.

ezmlm automatically archives new messages. Messages are labelled with
sequence numbers; a subscriber can fetch message 123 by sending mail
to joe-sos-get.123. The archive format supports fast message retrieval
even when there are thousands of messages.

ezmlm takes advantage of qmail's VERPs to reliably determine the
recipient address and message number for every incoming bounce
message. It waits ten days and then sends the subscriber a list of
message numbers that bounced. If that warning bounces, ezmlm sends a
probe; if the probe bounces, ezmlm automatically removes the
subscriber from the mailing list.

ezmlm is easy for users to control. Joe can edit ~/SOS/text/* to
change any of the administrative messages sent to subscribers. He can
remove ~/SOS/public and ~/SOS/archived to disable automatic
subscription and archiving. He can put his own address into
~/SOS/editor to set up a moderated mailing list. He can edit
~/SOS/{headeradd,headerremove} to control outgoing headers. ezmlm has
several utilities to manually inspect and manage mailing lists.

ezmlm uses Delivered-To to stop forwarding loops, Mailing-List to
protect other mailing lists against false subscription requests, and
real cryptographic cookies to protect normal users against false
subscription requests. ezmlm can also be used for a sublist,
redistributing messages from another list.

ezmlm is reliable, even in the face of system crashes. It writes each
new subscription and each new message safely to disk before it reports
success to qmail.

ezmlm doesn't mind huge mailing lists. Lists don't even have to fit
into memory. ezmlm hashes the subscription list into a set of
independent files so that it can handle subscription requests
quickly. ezmlm uses qmail for blazingly fast parallel SMTP deliveries.

The IDX patches add: Indexing, (Remote) Moderation, digest, make
patches, multi-language, MIME, global interface, %{dbms} database support.


%prep
%setup -q -T -b 0 -n %{ezname}-%{version}
%setup -q -D -T -a 1 -n %{ezname}-%{version}
mv -f %{name}-%{idxver}/* .
rmdir %{name}-%{idxver}

patch -s < idx.patch
%patch1 -p1 -b .unified_41


%build
RC=%{_sysconfdir}/ezmlmrc
sed -e 's{^#define TXT_ETC_EZMLMRC \"/etc/ezmlmrc\"{#define TXT_ETC_EZMLMRC \"$RC\"{' \
idx.h > idx.h.tmp
mv idx.h.tmp idx.hc

echo %{_prefix}/bin > conf-bin
echo %{_prefix}/man > conf-man

make %{dbms}
make it install


%install
RC=%{_sysconfdir}/ezmlmrc

rm -rf $RPM_BUILD_ROOT
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}
install -d %{buildroot}%{_sysconfdir}

# Do not create cat subdirs
sed '/cat/d' MAN > MAN.tmp
mv -f MAN.tmp MAN

./install %{buildroot}%{_bindir} < BIN
./install %{buildroot}%{_mandir} < MAN

cp %{buildroot}%{_bindir}/ezmlmrc %{buildroot}$RC
mv %{buildroot}%{_bindir}/ezmlmrc %{buildroot}$RC.dist

tar zxvf %{SOURCE10}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc BLURB CHANGES* FAQ.idx INSTAL*  README*
%doc THANKS TODO UPGRADE.idx VERSION
%doc DOWNGRADE.idx ezmlmrc ezmlmrc.[a-zA-Z]*  ezman*
%doc qmail-*.tar.gz
%config %{_sysconfdir}/ezmlm*
%{_bindir}
%{_mandir}

%changelog
* Fri Jan 16 2004  <yohgaki@momonga-linux.org> - 
- Initial build.

