%define momorel 1

Summary:	Maildrop mail filter/mail delivery agent
Name:		maildrop
Version:	1.6.3
Release:	%{momorel}m
License:	GPL
Group:		Applications/Communications
Url:		http://www.flounder.net/~mrsam/maildrop/
Source0:	http://keihanna.dl.sourceforge.net/sourceforge/courier/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	gdbm-devel

NoSource: 0

%package devel
Summary:	Development tools for handling E-mail messages
Group:		Development/Libraries

%description
Maildrop is a combination mail filter/mail delivery agent.
Maildrop reads the message to be delivered to your mailbox,
optionally reads instructions from a file how filter incoming
mail, then based on these instructions may deliver mail to an
alternate mailbox, or forward it, instead of dropping the
message into your mailbox.

Maildrop uses a structured, real, meta-programming language in
order to define filtering instructions.  Its basic features are
fast and efficient.  At sites which carry a light load, the
more advanced, CPU-demanding, features can be used to build
very sophisticated mail filters.  Maildrop deployments have
been reported at sites that support as many as 30,000
mailboxes.

Maildrop mailing list -- http://maildropl.listbot.com

This version is compiled with support for GDBM database files,
maildir enhancements (folders+quotas), and userdb.


%description devel
The maildrop-devel package contains the libraries and header files
that can be useful in developing software that works with or processes
E-mail messages.

Install the maildrop-devel package if you want to develop applications
which use or process E-mail messages.

%prep
%setup -q

%configure --with-devel --enable-userdb --enable-maildirquota \
	--enable-trusted-users='root mail daemon postmaster qmaild mmdf' \
	--enable-restrict-trusted=0 --enable-sendmail=/usr/sbin/sendmail \
	--enable-syslog=1

%build
%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}

make install-strip DESTDIR=%{buildroot} MAILDROPUID='' MAILDROPGID=''

find %{buildroot}%{_mandir} ! -type d -print | perl -e '
 while (<>)
  {
    $f=$_;  
    chop $f;
    next if $f =~ /\.gz$/;
    if (-l $f)
    {
        $f2=readlink($f);
        unlink($f);
        symlink "$f2.gz", "$f.gz";
    }
    else
    {
        system("gzip <$f >$f.gz");
        unlink($f);
    }
 } '

mkdir htmldoc
cp %{buildroot}%{_datadir}/maildrop/html/* htmldoc
rm -rf %{buildroot}%{_datadir}/maildrop/html


%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%defattr(-, bin, bin)
%doc maildir/README.maildirquota.html maildir/README.maildirquota.txt
%doc COPYING README README.postfix INSTALL NEWS UPGRADE ChangeLog maildroptips.txt
%doc htmldoc/*
%{_datadir}/maildrop
%attr(6555, root, mail) %{_bindir}/maildrop
#%attr(6555, root, mail) %{_bindir}/dotlock
%{_bindir}/maildirmake
%{_bindir}/deliverquota
%{_bindir}/makedat
%{_bindir}/makedatprog
%{_bindir}/makeuserdb
%{_bindir}/pw2userdb
%{_bindir}/userdb
%{_bindir}/userdbpw
%{_bindir}/reformail
%{_bindir}/makemime
%{_bindir}/reformime
%{_bindir}/vchkpw2userdb
%{_bindir}/mailbot
%{_mandir}/man[1578]/*


%files devel
%defattr(-, bin, bin)
%{_mandir}/man3/*
%{_includedir}/*
%{_libdir}/*


%changelog
* Sun Feb 1 2004 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- Momonganize and import

* Thu Mar  6 2003 Vincent Danen <vdanen@mandrakesoft.com> 1.4.0-2rph
- rebuild for 9.1
- include some missing files

* Mon Aug 12 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.4.0-1mdk
- new version (it's been out for a while now...)

* Fri Aug  9 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.3.9-2rph
- rebuild for 9.0

* Fri Jun  7 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.3.9-1rph
- 1.3.9
- merge maildrop-man into main maildrop package
- some spec cleanups
- change Group for maildrop-devel
- BuildRequires: libgdbm-devel
- first rpmhelp.net package

* Wed Mar 20 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.8-1mdk
- 1.3.8

* Wed Jan 09 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.3.7-1mdk
- 1.3.7

* Wed Nov 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3.6-1mdk
- 1.3.6

* Tue Aug 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3.4-1mdk
- updated to 1.3.4

* Mon Jan 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.2-2mdk
- rebuild

* Thu Nov 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.2-1mdk
- new in contribs
