%define momorel	1

%define basedir	/var/qmail

Name:		qmailanalog
Summary:	Log analysis tool for qmail
Version:	0.70
Release:	%{momorel}1
License:	D. J. Bernstein
Group:		Applications/Communications
URL:		http://cr.yp.to/qmailanalog.html
Source0:	http://cr.yp.to/software/%{name}-%{version}.tar.gz
Patch0:		qmailanalog-0.70-errno.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	qmail

NoSource: 0

%description
qmailanalog is a collection of tools to help you analyze qmail-send's activity 
record. It supplies statistics to answer a wide variety of questions:

   * overall: how many messages? recipients? attempts? etc.

   * ddist: how soon were 50 percent of the messages delivered?
            90 percent? 95 percent? 99 percent?

   * rxdelay: what's the best order of recipients for mailing lists?

   * recipients, rhosts: who's getting mail? bytes? messages? attempts?

   * successes, failures, deferrals: why? how often? how much delay?

   * senders, suids: messages? bytes? load? recipients? attempts? delay?

qmailanalog also includes several tools to focus attention on particular
senders, recipients, or messages.

%prep
%setup -q
%patch0 -p1 -b .errno
echo "gcc %{optflags}" >conf-cc
echo "gcc -s %{optflags}" >conf-ld
echo "%{basedir}" >conf-home


%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}

make man prog

%install
mkdir -p %{buildroot}%{basedir}
echo "%{buildroot}%{basedir}" >conf-home

make install
./install

make instcheck 
./instcheck

find %{buildroot}%{basedir}/man -type f -exec bzip2 -9f {} \;

# cleanup to make rpm happy
rm -rf %{buildroot}%{basedir}/{doc,man/cat1}


%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%defattr(-,root,root)
%doc ACCOUNTING BLURB CHANGES INSTALL MATCHUP README THANKS TODO VERSION
%{basedir}/bin/*
%{basedir}/man/man1/matchup.1*
%{basedir}/man/man1/xqp.1*
%{basedir}/man/man1/xsender.1*
%{basedir}/man/man1/xrecipient.1*
%{basedir}/man/man1/columnt.1*


%changelog
* Sun Feb 1 2004 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- Momonganize and import

* Mon Mar 10 2003 Vincent Danen <vdanen@mandrakesoft.com> 0.70-5rph
- build for 9.1
- P0: fix errno.h errors
- uninstalled files corrections

* Fri Aug  9 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.70-4rph
- build for 9.0

* Mon Apr 15 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.70-3rph
- rebuild using new extension

* Tue Mar 12 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.70-2mdk
- fix copyright
- macros
- move from /usr/local/qmailanalog to /var/qmail
- optimization
- bzip manpages

* Wed May 3 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.70-1mdk
- build for Mandrake (sorry no RPM optimizations due to how it compiles)
- bzip sources
- put manpages in proper location
