%define momorel 1


Summary: Virtual email domain manager for qmail 
Name: 	 vmailmgr
Version: 0.96.9
Release: %{momorel}m
License: GPL
Group:   System Environment/Daemons
URL:     http://www.vmailmgr.org/
Source0: http://vmailmgr.org/current/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Patch1:  vmailmgr-0.96.9-build.patch

NoSource: 0

%description
Vmailmgr provides a virtualizing password-checking interface to
qmail-pop3d as well as both a delivery agent to automatically delivery
mail within a virtual domain and a set of tools to manage such a domain.

%description
Vmailmgr provides a virtualizing password-checking interface to
qmail-pop3d as well as both a delivery agent to automatically delivery
mail within a virtual domain and a set of tools to manage such a domain.

%package cgi
Summary: CGI applications for vmailmgr
Group: System Environment/Daemons
Requires: vmailmgr-daemon = %{PACKAGE_VERSION}
%description cgi
This package contains CGI applications to allow web-based administration
of vmailmgr systems.

%package courier-imap
Summary: Vmailmgr authentication module for Courier IMAP
Requires: courier-imap
Group: System Environment/Daemons
%description courier-imap
This package contains the vmailmgr authentication module to be used by
Courier IMAP.

%package daemon
Summary: Vmailmgr daemon for CGIs
Requires: supervise-scripts >= 2.2
Requires: ucspi-unix
Group: System Environment/Daemons
%description daemon
This package contains the vmailmgrd daemon that provides virtual domain
manipulation services to support unprivileged clients like CGIs.

%package php
Summary: PHP include files
Group: Development/Libraries
%description php
This package contains the include files necessary to call VMailMgr
functions from PHP.

%package python
Summary: Python library for accessing VMailMgr
Group: Development/Libraries
Requires: python >= 1.5
%description python
This package contains the Python library code necessary to call VMailMgr

%prep
%setup -q
%patch1 -p1

%build
%configure
%make all

%install
rm -rf $RPM_BUILD_ROOT
for dir in service/vmailmgrd/log var/log/vmailmgrd \
	etc/rc.d/init.d etc/vmailmgr
do
	mkdir -p $RPM_BUILD_ROOT/$dir
done

make cgidir=/home/httpd/cgi-bin install-strip DESTDIR=%{buildroot}

install -m 755 scripts/vmailmgrd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/vmailmgrd
install -m 755 scripts/vmailmgrd.run $RPM_BUILD_ROOT/service/vmailmgrd/run
install -m 755 scripts/vmailmgrd-log.run $RPM_BUILD_ROOT/service/vmailmgrd/log/run
pushd $RPM_BUILD_ROOT/etc/vmailmgr
echo users >user-dir
echo passwd >password-file
echo ./Maildir/ >default-maildir
echo maildir >maildir-arg-str
echo /service/vmailmgrd/socket >socket-file


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS TODO doc/ChangeLog* doc/YEAR2000
%doc doc/*.txt */*.html doc/*.sgml
%doc scripts/autoresponder.sh
%dir /etc/vmailmgr
%config(missingok,noreplace) %verify(user,group,mode) /etc/vmailmgr/*
%{_bindir}*
%{_mandir}*/*


%files cgi
%defattr(-,root,root)
%doc cgi/*.html
/home/httpd/cgi-bin/listvdomain
/home/httpd/cgi-bin/vaddalias
/home/httpd/cgi-bin/vadduser
/home/httpd/cgi-bin/vchattr
/home/httpd/cgi-bin/vchforwards
/home/httpd/cgi-bin/vdeluser
/home/httpd/cgi-bin/vpasswd

%files courier-imap
%defattr(-,root,root)
/usr/lib/courier-imap/libexec/authlib/*

%files daemon
%defattr(-,root,root)
%config /etc/rc.d/init.d/vmailmgrd
/usr/sbin/vmailmgrd
%attr(1755,root,root) %dir /service/vmailmgrd
%dir /service/vmailmgrd/log
/service/vmailmgrd/log/run
/service/vmailmgrd/run
%attr(0700,root,root) /var/log/vmailmgrd

%files php
%defattr(-,root,root)
%doc php/vmail.features
/home/httpd/php/*

%files python
%defattr(-,root,root)
/usr/lib/python*/vmailmgr

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Mon Jan 26 2004  <yohgaki@momonga-linux.org> - 
- Initial build.

